package com.ekexiu.portal.platform;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey({"pid","id","uid"})
@Table(descp = "平台需求回复专家表")
public class PlatformDemandProfessor {
	private String pid;
	private String id;
	private String uid;
	private String assTime;
	private String descp;
	
	@Column(descp="平台ID",value=DE.text_de)
	public String getPid() {
		return pid;
	}
	public void setPid(String pid) {
		this.pid = pid;
	}
	@Column(descp="平台需求",value=DE.text_de)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(descp="专家ID",value=DE.text_de)
	public String getUid() {
		return uid;
	}
	public void setUid(String uid) {
		this.uid = uid;
	}
	@Column(descp="留言时间",value=DE.text_de)
	public String getAssTime() {
		return assTime;
	}
	public void setAssTime(String assTime) {
		this.assTime = assTime;
	}
	@Column(descp="留言内容",value=DE.text_de)
	public String getDescp() {
		return descp;
	}
	public void setDescp(String descp) {
		this.descp = descp;
	}
}
