package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey("code")
@Table
public class OrgRegInfo {
	
	private String name;
//	 工商注册号：330108000016033
	private String num;
//	组织机构代码：673959654 
	private String code;
//	统一信用代码：91330106673959654P 
	private String  creditCode;
//	企业类型：私营有限责任公司(自然人控股或私营性质企业控股) 
	private String type;
//	行业：软件和信息技术服务业 
	private  String industry;
//	营业期限：2008-04-08至2038-04-07 
	private String operatingPeriod;
//	核准日期：2017-05-05 
	private String dayOfApproval;
//	登记机关：杭州市西湖区市场监督管理局 
	private String manager;
//	注册地址：浙江省杭州市西湖区转塘科技经济区块16号8幢 
	private String addr;
//	经营范围： 第一类增值电信业务中的因特网数据中心业务；第二类增值电信业务中的因特网接入服务业务；第二类增值电信业务中的信息服务业务（不含固定网电话信息服务），利用自有网站发布国内网络广告（涉及前置审批项目的，在有效期内方可经营）。服务：计算机软硬件、电子产品、数码产品的技术开发、技术服务，设计、制作、代理国内广告，成年人的非文化教育培训、成年人的非证书劳动职业技能培训（涉及前置审批的项目除外）；批发、零售：计算机软硬件，电子产品（除专控），数码产品；会务服务，承办展览，展览展示设计。
	private String scopeOfBusiness;
	
	@Column(DE.text_de)
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	@Column(DE.text_de)
	public String getNum() {
		return num;
	}
	public void setNum(String num) {
		this.num = num;
	}
	@Column(DE.text_de)
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	@Column(DE.Text_de)
	public String getCreditCode() {
		return creditCode;
	}
	public void setCreditCode(String creditCode) {
		this.creditCode = creditCode;
	}
	@Column(DE.text_de)
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	@Column(DE.text_de)
	public String getIndustry() {
		return industry;
	}
	public void setIndustry(String industry) {
		this.industry = industry;
	}
	@Column(DE.text_de)
	public String getOperatingPeriod() {
		return operatingPeriod;
	}
	public void setOperatingPeriod(String operatingPeriod) {
		this.operatingPeriod = operatingPeriod;
	}
	@Column(DE.text_de)
	public String getDayOfApproval() {
		return dayOfApproval;
	}
	public void setDayOfApproval(String dayOfApproval) {
		this.dayOfApproval = dayOfApproval;
	}
	@Column(DE.text_de)
	public String getManager() {
		return manager;
	}
	
	public void setManager(String manager) {
		this.manager = manager;
	}
	@Column(DE.text_de)
	public String getAddr() {
		return addr;
	}
	public void setAddr(String addr) {
		this.addr = addr;
	}
	@Column(DE.text_de)
	public String getScopeOfBusiness() {
		return scopeOfBusiness;
	}
	public void setScopeOfBusiness(String scopeOfBusiness) {
		this.scopeOfBusiness = scopeOfBusiness;
	}
	
	
}
