package com.ekexiu.portal.product;

import org.jfw.apt.orm.annotation.dao.Batch;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2018/7/9.
 */
@DAO
public interface ProductKeyWordDao {

    @Insert
    @Batch
    int[] insert(Connection con, ProductKeyWord[] productKeyWords) throws SQLException;

    @DeleteWith
    @From(ProductKeyWord.class)
    int delete(Connection con, String id) throws SQLException;
}
