package com.ekexiu.operation.push.getui;

import com.google.gson.annotations.SerializedName;

public class Message {
	
	//注册应用时生成的appkey 
	@SerializedName("appkey")
	private String appKey;
	//是否离线推送 
	@SerializedName("is_offline")
	private boolean isOffline = true;
	//消息应用类型，可选项：notification、link、notypopload、transmission
	private String msgtype;
	//消息离线存储有效期，单位：ms
	@SerializedName("offline_expire_time")
	private int offlineExpireTime = 1000*60*60*24;
	//选择推送消息使用网络类型，0：不限制，1：wifi
	
	@SerializedName("push_network_type")
	private int pushNetworkType = 0;

	public String getAppKey() {
		return appKey;
	}

	public void setAppKey(String appKey) {
		this.appKey = appKey;
	}

	public boolean isOffline() {
		return isOffline;
	}

	public void setOffline(boolean isOffline) {
		this.isOffline = isOffline;
	}

	public String getMsgtype() {
		return msgtype;
	}

	public void setMsgtype(String msgtype) {
		this.msgtype = msgtype;
	}

	public int getOfflineExpireTime() {
		return offlineExpireTime;
	}

	public void setOfflineExpireTime(int offlineExpireTime) {
		this.offlineExpireTime = offlineExpireTime;
	}

	public int getPushNetworkType() {
		return pushNetworkType;
	}

	public void setPushNetworkType(int pushNetworkType) {
		this.pushNetworkType = pushNetworkType==0?0:1;
	}
	
	
	
}
