package com.ekexiu.portal.dao;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;

import com.ekexiu.portal.po.ArticleOrg;

@DAO
public interface ArticleOrgDao {
	
	@Insert
	int insert(Connection con,ArticleOrg org) throws SQLException;
	@SelectList
	List<ArticleOrg> query(Connection con, String articleId) throws SQLException;
	@DeleteWith
	@From(ArticleOrg.class)
	int delete(Connection con, String articleId) throws SQLException;
	
	@SelectList
	List<ArticleOrg> queryByOrgId(Connection con,String orgId) throws SQLException;
	
}
