package com.ekexiu.portal.pojo;

import com.ekexiu.portal.po.Professor;
import com.ekexiu.portal.po.ResearchArea;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

import java.util.List;

/**
 * Created by TT on 2018/3/8.
 */
@ExtendView(fromSentence = "Professor p left join organization o on p.org_id = o.id",tableAlias = "p")
public class SortedPro extends Professor {
    private String sortDesc;
    private String orgName;
    private Integer hasHeadImage;
    private List<ResearchArea> researchAreas;

    @CalcColumn(nullable = false,handlerClass = StringHandler.class,column = "case when sort_first = 0 then '00000' else TO_CHAR(sort_first,'00009') end || TO_CHAR(CEIL(star_level * 100),'0009') || p.id sort_desc ")
    public String getSortDesc() {
        return sortDesc;
    }

    public void setSortDesc(String sortDesc) {
        this.sortDesc = sortDesc;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "o.name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }


    public Integer getHasHeadImage() {
        return hasHeadImage;
    }

    public void setHasHeadImage(Integer hasHeadImage) {
        this.hasHeadImage = hasHeadImage;
    }

    public List<ResearchArea> getResearchAreas() {
        return researchAreas;
    }

    public void setResearchAreas(List<ResearchArea> researchAreas) {
        this.researchAreas = researchAreas;
    }
}
