package com.ekexiu.portal.service;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.param.JdbcConn;

import com.ekexiu.portal.dao.ConsultRejectDao;
import com.ekexiu.portal.po.ConsultReject;

@Path("/consultReject")
public class ConsultRejectService {
	@Autowrie
	private ConsultRejectDao consultRejectDao;

	public ConsultRejectDao getConsultRejectDao() {
		return consultRejectDao;
	}
	public void setConsultRejectDao(ConsultRejectDao consultRejectDao) {
		this.consultRejectDao = consultRejectDao;
	}
	
	@Get
	@Path("/reasons")
	public List<ConsultReject> query(@JdbcConn Connection con,String consultId)throws SQLException{
		return this.consultRejectDao.query(con, consultId);
	}
	
}
