package com.ekexiu.portal.util;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class CheckPictureVC extends HttpServlet {

	private static final long serialVersionUID = 6646907154658170994L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        response.setContentType("text/html;charset=utf-8");
		HttpSession session = request.getSession();
        String verification = (String)session.getAttribute("verification");
        String submitVerification = request.getParameter("submitVerification");
        PrintWriter out = response.getWriter();
        if(verification!=null && submitVerification!=null){
            if(verification.toLowerCase().equals(submitVerification.toLowerCase())){
            	out.println("Verification successful !");
            }
            else{
                out.println("Verification failure !");
            }
            
        }
        else{
            out.println("Picture is expire !");
        }
        session.removeAttribute("verification");//防止用户重复提交表单
        
    }

    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        doGet(request, response);
    }
}
