package com.ekexiu.portal.views.pojo;

import org.jfw.util.DateUtil;

import java.util.HashMap;
import java.util.Map;

public class LogEntry {
	private long time;
	private Map<String,String[]> data = new HashMap<String,String[]>();

	
	public String getString(String key){
		String[] sa = data.get(key);
		return sa==null || sa.length==0 ?null:sa[0];
	}
	public String[] getStringArray(String key){
		return data.get(key);
	}
	public long getTime(){
		return time;
	}
	public String getTimeString(){
		return DateUtil.formatDate(this.time);
	}

	public static LogEntry build(Map<String,String[]> data){
		LogEntry le = new LogEntry();
		le.time = System.currentTimeMillis();		
		le.data.putAll(data);
		return le;
	}
	
	
	
}
